-- 基础信息
base_info = {
	group_id = 247005012
}

-- DEFS_MISCS
local GroupId = 247005012
local point_id_list = {}
local MainGroupID = 247005001
local RegionID = 12001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 12001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.036, y = 0.101, z = 320.086 } }
}

-- 触发器
triggers = {
	{ config_id = 1012001, name = "ENTER_REGION_12001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 12002, pos = { x = -0.086, y = 0.090, z = 333.463 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 12003, pos = { x = -3.081, y = 0.090, z = 332.761 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 12004, pos = { x = 3.141, y = 0.090, z = 332.877 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 12005, pos = { x = -6.993, y = 0.090, z = 331.553 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 12006, pos = { x = 7.079, y = 0.090, z = 331.105 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 12007, pos = { x = -9.440, y = 0.090, z = 329.054 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 12008, pos = { x = 10.315, y = 0.090, z = 329.071 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 12009, pos = { x = -10.252, y = 0.090, z = 326.518 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 12010, pos = { x = 10.428, y = 0.090, z = 326.170 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 12011, pos = { x = -10.302, y = 0.090, z = 323.424 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 12012, pos = { x = -0.017, y = 0.090, z = 332.150 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 12013, pos = { x = -4.912, y = 0.090, z = 330.184 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 12014, pos = { x = 5.038, y = 0.090, z = 330.358 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 12015, pos = { x = -8.313, y = 0.090, z = 327.087 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 12016, pos = { x = 9.224, y = 0.090, z = 326.066 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 12017, pos = { x = -7.864, y = 0.090, z = 321.430 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 12018, pos = { x = 8.635, y = 0.090, z = 320.150 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 12019, pos = { x = -4.856, y = 0.090, z = 317.619 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 12020, pos = { x = 5.216, y = 0.090, z = 316.809 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 12021, pos = { x = -0.024, y = 0.090, z = 314.755 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 12022, pos = { x = -10.031, y = 0.090, z = 332.492 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 12023, pos = { x = 10.035, y = 0.090, z = 332.492 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 12024, pos = { x = -10.031, y = 0.090, z = 313.466 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 12025, pos = { x = 10.035, y = 0.090, z = 313.466 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 12026, pos = { x = -8.298, y = 0.090, z = 332.492 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 12027, pos = { x = 11.769, y = 0.090, z = 332.492 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 12028, pos = { x = -8.298, y = 0.090, z = 313.466 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 12029, pos = { x = 11.769, y = 0.090, z = 313.466 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 12030, pos = { x = -12.714, y = 0.090, z = 332.492 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 12031, pos = { x = 7.353, y = 0.090, z = 332.492 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 12032, pos = { x = -12.714, y = 0.090, z = 313.466 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 12033, pos = { x = 7.353, y = 0.090, z = 313.466 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 12034, pos = { x = -1.211, y = 0.090, z = 326.502 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12035, pos = { x = 1.021, y = 0.090, z = 326.502 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12036, pos = { x = -3.124, y = 0.090, z = 326.502 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12037, pos = { x = 3.067, y = 0.090, z = 326.502 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12038, pos = { x = -4.997, y = 0.090, z = 326.502 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12039, pos = { x = 4.905, y = 0.090, z = 326.502 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12040, pos = { x = -3.242, y = 0.090, z = 324.130 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12041, pos = { x = 2.805, y = 0.090, z = 324.130 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12042, pos = { x = 1.021, y = 0.090, z = 324.130 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12043, pos = { x = -1.211, y = 0.090, z = 324.130 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 12044, pos = { x = -1.211, y = 0.090, z = 316.859 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 12001 },
		triggers = { "ENTER_REGION_12001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
